Skip to main content

Reward - Cancel

This section contains endpoints used to cancel assigned rewards.


Cancel

Cancels a specific reward identified by id or externalId.

POST /api/v1/integration/rewards/cancel

Request

ParameterTypeDescriptionRequired
idUUIDReward identifierConditional
externalIdStringMerchant-defined reward identifierConditional
merchantIdUUIDMerchant identifierYes
timestampLongUNIX timestamp in millisecondsYes
hashStringHMAC SHA256 signature used to verify the requestYes

Example Request

{
"id": "6d181739-a4c4-4932-a3de-0a980bfee707",
"merchantId": "1387a6cc-3651-4473-ae52-e415caea3395",
"timestamp": 1754495931035,
"hash": "e93556d37a8c4eab7bda2d411322cdc4f0dc444c9101d9453a6635dfd8c73f7d"
}

Response

200 OK

No response body is returned.


Bulk Cancel

Cancels multiple rewards identified by their ids or externalIds.

POST /api/v1/integration/rewards/bulkCancel

Request

ParameterTypeDescriptionRequired
idsArray<UUID>List of reward identifiersConditional
externalIdsArray<String>List of merchant-defined reward identifiersConditional
merchantIdUUIDMerchant identifierYes
timestampLongUNIX timestamp in millisecondsYes
hashStringHMAC SHA256 signature used to verify requestYes

Example Request

{
"ids": ["6d181739-a4c4-4932-a3de-0a980bfee707"],
"merchantId": "1387a6cc-3651-4473-ae52-e415caea3395",
"timestamp": 1754495931035,
"hash": "e93556d37a8c4eab7bda2d411322cdc4f0dc444c9101d9453a6635dfd8c73f7d"
}

Response

200 OK

No response body is returned.


Bulk Cancel By Query

Cancels multiple rewards identified by their ids or externalIds.

POST /api/v1/integration/rewards/bulkCancelByQuery

Request

ParameterTypeDescriptionRequired
playerIdsList<String>List of Player identifiersYes
rewardConfigurationIdUUIDReward configuration identifierNo
externalRewardConfigurationIdStringMerchant-defined reward configuration identifierNo
merchantIdUUIDMerchant identifierYes
timestampLongUNIX timestamp in millisecondsYes
hashStringHMAC SHA256 signature used to verify the requestYes

Example Request

{
"playerIds": ["f72cb8ef-10e6-4903-8735-369f6544a0a2"],
"rewardConfigurationId": "7a899322-c001-4187-8a8b-26d51d0e08fd",
"merchantId": "1387a6cc-3651-4473-ae52-e415caea3395",
"timestamp": 1754495931035,
"hash": "e93556d37a8c4eab7bda2d411322cdc4f0dc444c9101d9453a6635dfd8c73f7d"
}

Response

200 OK

No response body is returned.